package com.ruoyi.generator.vo;

import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.generator.domain.Community.CommunityArticleImages;
import com.ruoyi.generator.domain.Community.CommunityTag;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* 
* @TableName community_article
*/
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ArticleEntity", description = "文章实体")
public class CommunityArticleVo extends BaseEntity implements Serializable {

    /**
    * 文章id
    */
    @NotNull(message="[文章id]不能为空")
    @ApiModelProperty("文章id")
    private Long id;
    /**
    * 创建人id
    */
    @NotNull(message="[创建人id]不能为空")
    @ApiModelProperty("创建人id")
    private Long userId;
    /**
    * 文章标题
    */
    @NotBlank(message="[文章标题]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @Length(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("文章标题")
    private String title;
    /**
    * 文章内容
    */
    @ApiModelProperty("文章内容")
    private String content;

    /**
     * 圈子id
     */
    @ApiModelProperty("圈子id")
    private String circleId;

    @ApiModelProperty("是否已点赞")
    private boolean isLike;

    @ApiModelProperty("点赞个数")
    private int likeCount;

    @ApiModelProperty("是否允许评论")
    private boolean isComment;

    @ApiModelProperty("是否已收藏")
    private boolean isCollect;

    @ApiModelProperty("用户信息")
    private List<SysUser> sysUsers;

    @ApiModelProperty("文章图片集合")
    private List<CommunityArticleImages> imageList;

    @ApiModelProperty("文章评论信息")
    private List<CommunityArticleCommentVo> comments;

    @ApiModelProperty("文章标签")
    private List<CommunityTag> tags;
}
